#ifndef _LCD_H

	#define _LCD_H
	#define _XTAL_FREQ 4000000
	#define	LCD_RS RB1
	#define LCD_EN RB2
	#define LCD_DATA	PORTB
	#define	LCD_STROBE()	((LCD_EN = 1),(LCD_EN=0))

	void putc2lcd( char data );
	void Byte2ascii( char cChar, char * cPtr );
	char Hex2ascii( char cChar );
	void LCDConstString2Spot(char cLine, char cSpot, const char * String);
	void LCDString2Spot(char cLine, char cSpot, char * String);
	void PutConstString2LCD( const char * String );
	void LCDWrite( unsigned char ucChar );
	void LCDClear( void );
	void LCDPuts( char * );
	void CursorXY( unsigned char cX, unsigned char cY );
	void LCDInit(void);
	void LCDPutc( char cChar );
	void Blink( char ucColon );
	unsigned int hex2ascii( unsigned char );
	void xtoa( unsigned int uiNum, const unsigned int *Ptr, char * cBuff );


#endif /* _LCD_H */